<%@ Page Title="" Language="C#" Inherits="System.Web.Mvc.ViewPage<ApprovalApplication.Models.NewApprovalModel>" MasterPageFile="~/Views/Shared/Site.Master" %>
<asp:Content runat="server" ID="Content" ContentPlaceHolderID="TitleContent">
New Approval Request
</asp:Content>
<asp:Content runat="server" ID="Content1" ContentPlaceHolderID="MainContent">
    <h2>New Approval Request</h2>
    <p>
        Please enter the details for the new approval request.<br />
        <div class="validation-summary-errors"><%: ViewData["Message"] %></div>
    </p>

    <% using (Html.BeginForm()) { %>
        <div>
            <fieldset>
                <legend>Approval Information</legend>
                
                <div class="editor-label">
                    <%: Html.LabelFor(m => m.RequestorAddress) %>
                </div>
                <div class="editor-field">
                    <%: Html.TextBoxFor(m => m.RequestorAddress) %>
                    <%: Html.ValidationMessageFor(m => m.RequestorAddress) %>
                </div>
                
                <div class="editor-label">
                    <%: Html.LabelFor(m => m.Message) %>
                </div>
                <div class="editor-field">
                    <%: Html.TextAreaFor(m => m.Message) %>
                    <%: Html.ValidationMessageFor(m => m.Message) %>
                </div>
                
                <div class="editor-label">
                    <%: Html.LabelFor(m => m.Approvers) %>
                </div>
                <div class="editor-field">
                    <%: Html.TextAreaFor(m => m.Approvers)%>
                    <%: Html.ValidationMessageFor(m => m.Approvers)%>
                </div>
                
                <p>
                    <input type="submit" value="Send Approval Request" />
                </p>
            </fieldset>
        </div>
    <% } %>
</asp:Content>
